Skip to main content
DELETE
/
v2
/
topics
/
{topicKey}
PHP
declare(strict_types=1);

require 'vendor/autoload.php';

use novu;

$sdk = novu\Novu::builder()
    ->setSecurity(
        'YOUR_SECRET_KEY_HERE'
    )
    ->build();



$response = $sdk->topics->delete(
    topicKey: '<value>'
);

if ($response->deleteTopicResponseDto !== null) {
    // handle response
}
{
  "acknowledged": true
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

topicKey
string
required

The key identifier of the topic

Response

Topic deleted successfully

acknowledged
boolean
required

Indicates if the operation was acknowledged

Example:

true